Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 77777 - second root login (with rlogin) attempt fails
Summary: second root login (with rlogin) attempt fails
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: pam
Version: 7.2
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tomas Mraz
QA Contact: Jay Turner
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-13 14:10 UTC by Andreas Luik
Modified: 2015-01-08 00:01 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-01-13 10:33:24 UTC


Attachments (Terms of Use)

Description Andreas Luik 2002-11-13 14:10:51 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; SunOS 5.8 sun4u)

Description of problem:
I have enabled root logins by adding "rlogin" to /etc/securetty.
If I use the correct password initially, the login works.
But if I use an incorrect root-password at the first attempt, all
further attempts fail with "Login incorrect", even if I use the
correct password:

pascal% rlogin mg -l root
Password: <incorrect password>
Password: <correct password>
Login incorrect

login: root
Password: <correct password>
Login incorrect



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Add "rlogin" to /etc/securetty on machine A.
2. On machine B, "rlogin A -l root"
3. Enter wrong password initially.
4. Enter correct password at the second "Password:" prompt.
	

Actual Results:  Login incorrect


Additional info:

Comment 1 Tomas Mraz 2004-11-09 15:26:18 UTC
Please retest with latest Fedora Core distribution.


Comment 2 Andreas Luik 2004-12-09 10:24:43 UTC
I will, as soon as we have FC 3 installed.


Comment 3 Tomas Mraz 2005-01-13 10:33:24 UTC
Reopen if still apears.


Note You need to log in before you can comment on or make changes to this bug.